﻿class Mistura extends MovieClip {
	private var N:Number;
	private var He:Number;
	private var O:Number;
	private var Volume:Number;
	private var Capacidade:Number;
	private var TamanhoOriginal:Number;
	private var ImgN:MovieClip;
	private var ImgHe:MovieClip;
	private var ImgO:MovieClip;	
	public function Inicia(Capacidade:Number, N:Number, He:Number, O:Number) {
		this.N = N;
		this.He = He;
		this.O = O;
		this.Volume = N+He+O;
		this.Capacidade = Capacidade;
		this.TamanhoOriginal = this._height;
		AtualizaVolume();
	}
	public function VeN():Number {
		return this.N;
	}
	public function VeHe():Number {
		return this.He;
	}
	public function VeO():Number {
		return this.O;
	}
	private function AtualizaVolume() {
		this.Volume = this.N+this.He+this.O;
		setProperty(this, _height, this.TamanhoOriginal*(this.Volume/this.Capacidade));
		this.ImgN._alpha = this.N;
		this.ImgHe._alpha = this.He;
		this.ImgO._alpha = this.O;
	}
	public function TaCheio():Boolean {
		return (this.Capacidade <= this.Volume);
	}
	public function AumentaN(Aumento:Number) {
		if (((this.Volume+Aumento)<=this.Capacidade) && ((this.Volume+Aumento)>=0)) {
			this.N += Aumento;
		}
		AtualizaVolume();
	}
	public function AumentaHe(Aumento:Number) {
		if (((this.Volume+Aumento)<=this.Capacidade) && ((this.Volume+Aumento)>=0)) {
			this.He += Aumento;
		}
		AtualizaVolume();
	}
	public function AumentaO(Aumento:Number) {
		if (((this.Volume+Aumento)<=this.Capacidade) && ((this.Volume+Aumento)>=0)) {
			this.O += Aumento;
		}
		AtualizaVolume();
	}
}
