﻿class Particula3D extends MovieClip {
	private var x:Number;
	private var y:Number;
	private var z:Number;
	private var xreal:Number;
	private var yreal:Number;
	private var maxx:Number;
	private var maxy:Number;
	private var maxz:Number;
	private var minx:Number;
	private var miny:Number;
	private var minz:Number;
	private var velx:Number;
	private var vely:Number;
	private var velz:Number;
	private var angulo:Number;
	/*private function XYReal() {		
			this.angulo = Math.atan(this.y/this.x);
			this.xreal = this.x + this.z*Math.cos(this.angulo);		
			this.yreal = (this.y) - this.z*Math.sin(this.angulo);		
	
	//		this.xreal = this.x + Math.cos(this.angulo);		
	//		this.yreal = this.y - Math.sin(this.angulo);		
	
			setProperty(this,_x,this.xreal);
			setProperty(this,_y,this.yreal);
		}*/
	private function XYReal(x:Number, y:Number, z:Number) {
		//this.angulo = Math.atan(y/x);
		this.angulo = Math.PI/4;
		this.xreal = Math.round(x+z*Math.cos(this.angulo));
		this.yreal = Math.round((y)-z*Math.sin(this.angulo));
	}
	public function Posicao(x:Number, y:Number, z:Number) {
		this.x = x;
		this.y = y;
		this.z = z;
		XYReal();
	}
	public function Velocidade(velx:Number, vely:Number, velz:Number) {
		this.velx = velx;
		this.vely = vely;
		this.velz = velz;
	}
	public function VeVelocidade(componente:String):Number {
		switch (componente) {
			case "x": return this.velx;
			case "y": return this.vely;
			case "z": return this.velz;
			default: return 0;
		}
	}			
	public function VeCoordenada(componente:String):Number {
		switch (componente) {
			case "x": return this.x;
			case "y": return this.y;
			case "z": return this.z;
			default: return Infinity;
		}
	}			
	public function Limite(minx:Number, miny:Number, minz:Number, maxx:Number, maxy:Number, maxz:Number) {
		this.minx = minx;
		this.miny = miny;
		this.minz = minz;
		this.maxx = maxx;
		this.maxy = maxy;
		this.maxz = maxz;
	}
	public function Movimento() {
		if ((this.x+this.velx>=this.minx) && (this.x+this.velx<=this.maxx)) {
			this.x += this.velx;
		} else {
			this.velx = -this.velx;
		}
		if ((this.y+this.vely>=this.miny) && (this.y+this.vely<=this.maxy)) {
			this.y += this.vely;
		} else {
			this.vely = -this.vely;
		}
		if ((this.z+this.velz>=this.minz) && (this.z+this.velz<=this.maxz)) {
			this.z += this.velz;
		} else {
			this.velz = -this.velz;
		}
		XYReal(this.x, this.y, this.z);
		setProperty(this, _x, this.xreal);
		setProperty(this, _y, this.yreal);
		setProperty(this, _xscale, 100*(2-((this.z-this.minz)/(this.maxz-this.minz))));
		setProperty(this, _yscale, 100*(2-((this.z-this.minz)/(this.maxz-this.minz))));
	}
	private function LinhaDiagonal(x:Number,y:Number) {
		XYReal(x,y,this.minz);
		this._parent.moveTo(this.xreal,this.yreal);
		XYReal(x,y,this.maxz);
		this._parent.lineTo(this.xreal,this.yreal);
	}
	private function Quadrado(z:Number) {
		XYReal(this.minx, this.miny, z);
		this._parent.moveTo(this.xreal, this.yreal);
		this._parent.lineTo(this.xreal, this.maxy-this.miny+this.yreal);
		this._parent.lineTo(this.maxx-this.minx+this.xreal, this.maxy-this.miny+this.yreal);
		this._parent.lineTo(this.maxx-this.minx+this.xreal, this.yreal);
		this._parent.lineTo(this.xreal, this.yreal);
	}		
	public function DesenhaLimites() {
		this._parent.lineStyle(1, 0x000000, 100);
		/*XYReal(this.minx, this.miny, this.minz);
		this._parent.moveTo(this.xreal, this.yreal);
		this._parent.lineTo(this.xreal, this.maxy-this.miny+this.yreal);
		this._parent.lineTo(this.maxx-this.minx+this.xreal, this.maxy-this.miny+this.yreal);
		this._parent.lineTo(this.maxx-this.minx+this.xreal, this.yreal);
		this._parent.lineTo(this.xreal, this.yreal);
		XYReal(this.minx, this.miny, this.maxz);
		this._parent.lineTo(this.xreal, this.yreal);
		this._parent.lineTo(this.xreal, this.maxy-this.miny+this.yreal);
		this._parent.lineTo(this.maxx-this.minx+this.xreal, this.maxy-this.miny+this.yreal);
		this._parent.lineTo(this.maxx-this.minx+this.xreal, this.yreal);
		this._parent.lineTo(this.xreal, this.yreal);*/
		Quadrado(this.minz);
		Quadrado(this.maxz);
		LinhaDiagonal(this.minx,this.miny);
		LinhaDiagonal(this.minx,this.maxy);
		LinhaDiagonal(this.maxx,this.miny);
		LinhaDiagonal(this.maxx,this.maxy);
	}
	public function onEnterFrame() {
		this.Movimento();
	}
}
